Skip to main content
GET
/
reports
/
sask
/
v1
/
errors
/
beneficiaries
Retrieve beneficiaries errors returned from tax authority
curl --request GET \
  --url https://api.rrc.dev.finventi.com/reports/sask/v1/errors/beneficiaries \
  --header 'Authorization: Bearer <token>'
{
  "content": [
    {
      "status": "SUCCESS",
      "data": {
        "codeInForeignCountry": "305697289",
        "name": "UAB Inventi",
        "country": "LV",
        "beneficiary": {
          "type": "F",
          "name": "Jonas",
          "surname": "Jonaitis"
        },
        "refId": "305697289_20250303_F1A2B3C4D5E6"
      },
      "errors": [
        {
          "code": "39",
          "fields": [
            "beneficiary.name",
            "beneficiary.surname"
          ],
          "message": "The name does not match the identification code. Please correct the name or the identification code."
        }
      ]
    }
  ],
  "page": {
    "size": 50,
    "number": 0,
    "totalElements": 1,
    "totalPages": 1
  }
}

Authorizations

Authorization
string
header
required

Obtain JWT via client_credentials grant. Required role: MMR_SASK_REPORT

Query Parameters

page
integer<int32>
default:0
pageSize
integer<int32>
default:50

Response

200 - application/json

OK

page
object
content
object[]
Last modified on June 4, 2026